Update to 1.0 (new soname)
[packages/libgnome-games-support.git] / libgames-support.spec
1 #
2 # Conditional build:
3 %bcond_without  static_libs     # static library
4 #
5 Summary:        Support library for GNOME games
6 Summary(pl.UTF-8):      Biblioteka wspierająca dla gier GNOME
7 Name:           libgames-support
8 Version:        1.0
9 Release:        1
10 License:        LGPL v3+
11 Group:          X11/Libraries
12 Source0:        http://download.gnome.org/sources/libgames-support/1.0/%{name}-%{version}.tar.xz
13 # Source0-md5:  4504b352f4a91cfe152ef791fe939762
14 BuildRequires:  autoconf >= 2.69
15 BuildRequires:  automake >= 1:1.11
16 BuildRequires:  glib2-devel >= 1:2.40.0
17 BuildRequires:  gtk+3-devel >= 3.20.0
18 BuildRequires:  intltool >= 0.50.2
19 BuildRequires:  libgee-devel >= 0.8
20 BuildRequires:  libtool >= 2:2.2
21 BuildRequires:  pkgconfig
22 BuildRequires:  vala >= 2:0.24.0
23 Requires:       glib2 >= 1:2.40.0
24 Requires:       gtk+3 >= 3.20.0
25 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
26
27 %description
28 libgames-support is a small library intended for internal use by GNOME
29 Games, but it may be used by others. The API will only break with the
30 major version number. The ABI is unstable.
31
32 %description -l pl.UTF-8
33 libgames-support to mała biblioteka przeznaczona do użytku
34 wewnętrznego gier ze środowiska GNOME, ale może być wykorzystywana
35 także przez innych. API może się zmieniać tylko wraz z głównym numerem
36 wersji; ABI nie jest stabilne.
37
38 %package devel
39 Summary:        Header files for libgames-support library
40 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki libgames-support
41 Group:          Development/Libraries
42 Requires:       %{name} = %{version}-%{release}
43 Requires:       glib2-devel >= 1:2.40.0
44 Requires:       gtk+3-devel >= 3.20.0
45
46 %description devel
47 Header files for libgames-support library.
48
49 %description devel -l pl.UTF-8
50 Pliki nagłówkowe biblioteki libgames-support.
51
52 %package static
53 Summary:        Static libgames-support library
54 Summary(pl.UTF-8):      Statyczna biblioteka libgames-support
55 Group:          Development/Libraries
56 Requires:       %{name}-devel = %{version}-%{release}
57
58 %description static
59 Static libgames-support library.
60
61 %description static -l pl.UTF-8
62 Statyczna biblioteka libgames-support.
63
64 %package -n vala-libgames-support
65 Summary:        Vala API for libgames-support library
66 Summary(pl.UTF-8):      API języka Vala do bibliotek libgames-support
67 Group:          Development/Libraries
68 Requires:       %{name}-devel = %{version}-%{release}
69
70 %description -n vala-libgames-support
71 Vala API for libgames-support library.
72
73 %description -n vala-libgames-support -l pl.UTF-8
74 API języka Vala do bibliotek libgames-support.
75
76 %prep
77 %setup -q
78
79 %build
80 %{__intltoolize}
81 %{__libtoolize}
82 %{__aclocal} -I m4
83 %{__autoconf}
84 %{__automake}
85 %configure \
86         --disable-silent-rules \
87         %{?with_static_libs:--enable-static}
88 %{__make}
89
90 %install
91 rm -rf $RPM_BUILD_ROOT
92
93 %{__make} install \
94         DESTDIR=$RPM_BUILD_ROOT
95
96 %{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
97
98 %find_lang %{name}
99
100 %clean
101 rm -rf $RPM_BUILD_ROOT
102
103 %post   -p /sbin/ldconfig
104 %postun -p /sbin/ldconfig
105
106 %files -f %{name}.lang
107 %defattr(644,root,root,755)
108 %doc NEWS README
109 %attr(755,root,root) %{_libdir}/libgames-support.so.*.*.*
110 %attr(755,root,root) %ghost %{_libdir}/libgames-support.so.2
111
112 %files devel
113 %defattr(644,root,root,755)
114 %attr(755,root,root) %{_libdir}/libgames-support.so
115 %{_includedir}/gnome-games
116 %{_pkgconfigdir}/libgames-support-1.0.pc
117
118 %if %{with static_libs}
119 %files static
120 %defattr(644,root,root,755)
121 %{_libdir}/libgames-support.a
122 %endif
123
124 %files -n vala-libgames-support
125 %defattr(644,root,root,755)
126 %{_datadir}/vala/vapi/libgames-support-1.0.vapi
This page took 0.039018 seconds and 3 git commands to generate.